OpenVDB: LeafData< bool, CoordT, MaskT, LOG2DIM > Struct Template Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
LeafData< bool, CoordT, MaskT, LOG2DIM > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | ValueType = bool
using | BuildType = bool
using | FloatType = bool
using | ArrayType = MaskT<LOG2DIM>

## Public Member Functions
__hostdev__ bool | getValue (uint32_t i) const
__hostdev__ bool | getMin () const
__hostdev__ bool | getMax () const
__hostdev__ bool | getAvg () const
__hostdev__ bool | getDev () const
__hostdev__ void | setValue (uint32_t offset, bool v)
__hostdev__ void | setOn (uint32_t offset)
__hostdev__ void | setMin (const bool &)
__hostdev__ void | setMax (const bool &)
__hostdev__ void | setAvg (const bool &)
__hostdev__ void | setDev (const bool &)
template<typename T>
__hostdev__ void | setOrigin (const T &ijk)
| LeafData ()=delete
| This class cannot be constructed or deleted.
| LeafData (const LeafData &)=delete
LeafData & | operator= (const LeafData &)=delete
| ~LeafData ()=delete
__hostdev__ void | setValueOnly (uint32_t offset, const ValueType &value)
__hostdev__ void | fill (const ValueType &v)

## Static Public Member Functions
static __hostdev__ constexpr uint32_t | padding ()
static __hostdev__ uint64_t | memUsage ()
static __hostdev__ bool | hasStats ()

## Public Attributes
CoordT | mBBoxMin
uint8_t | mBBoxDif [3]
uint8_t | mFlags
MaskT< LOG2DIM > | mValueMask
MaskT< LOG2DIM > | mValues
uint64_t | mPadding [2]
ValueType | mMinimum
ValueType | mMaximum
FloatType | mAverage
FloatType | mStdDevi

## Static Public Attributes
static constexpr bool | FIXED_SIZE = true

## Member Typedef Documentation

## ◆ ArrayType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ArrayType = MaskT<LOG2DIM>

## ◆ BuildType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using BuildType = bool

## ◆ FloatType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using FloatType = bool

## ◆ ValueType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ValueType = bool

## Constructor & Destructor Documentation

## ◆ LeafData() [1/2]

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData | ( |  | ) |
| delete

This class cannot be constructed or deleted.

## ◆ LeafData() [2/2]

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData | ( | const LeafData< bool, CoordT, MaskT, LOG2DIM > & |  | ) |
| delete

## ◆ ~LeafData()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

~LeafData | ( |  | ) |
| delete

## Member Function Documentation

## ◆ fill()

__hostdev__ void fill | ( | const ValueType & | v | ) |
| inline

## ◆ getAvg()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool getAvg | ( |  | ) | const
| inline

## ◆ getDev()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool getDev | ( |  | ) | const
| inline

## ◆ getMax()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool getMax | ( |  | ) | const
| inline

## ◆ getMin()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool getMin | ( |  | ) | const
| inline

## ◆ getValue()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool getValue | ( | uint32_t | i | ) | const
| inline

## ◆ hasStats()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ bool hasStats | ( |  | ) |
| inlinestatic

## ◆ memUsage()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ uint64_t memUsage | ( |  | ) |
| inlinestatic

## ◆ operator=()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData & operator= | ( | const LeafData< bool, CoordT, MaskT, LOG2DIM > & |  | ) |
| delete

## ◆ padding()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ constexpr uint32_t padding | ( |  | ) |
| inlinestaticconstexpr

## ◆ setAvg()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setAvg | ( | const bool & |  | ) |
| inline

## ◆ setDev()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setDev | ( | const bool & |  | ) |
| inline

## ◆ setMax()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setMax | ( | const bool & |  | ) |
| inline

## ◆ setMin()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setMin | ( | const bool & |  | ) |
| inline

## ◆ setOn()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setOn | ( | uint32_t | offset | ) |
| inline

## ◆ setOrigin()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>
template<typename T>

__hostdev__ void setOrigin | ( | const T & | ijk | ) |
| inline

## ◆ setValue()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

__hostdev__ void setValue | ( | uint32_t | offset,
|  | bool | v )
| inline

## ◆ setValueOnly()

__hostdev__ void setValueOnly | ( | uint32_t | offset,
|  | const ValueType & | value )
| inline

## Member Data Documentation

## ◆ FIXED_SIZE

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool FIXED_SIZE = true
| staticconstexpr

## ◆ mAverage

FloatType mAverage

## ◆ mBBoxDif

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mBBoxDif[3]

## ◆ mBBoxMin

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

CoordT mBBoxMin

## ◆ mFlags

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mFlags

## ◆ mMaximum

ValueType mMaximum

## ◆ mMinimum

ValueType mMinimum

## ◆ mPadding

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mPadding[2]

## ◆ mStdDevi

FloatType mStdDevi

## ◆ mValueMask

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mValueMask

## ◆ mValues

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mValues